com.lowagie.rups.view.itext.treenodes

## Class PdfTrailerTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - com.lowagie.rups.view.icons.IconTreeNode
    - - com.lowagie.rups.view.itext.treenodes.PdfObjectTreeNode
      - - com.lowagie.rups.view.itext.treenodes.PdfTrailerTreeNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class PdfTrailerTreeNode
    extends PdfObjectTreeNode

A special treenode that will be used for the trailer dictionary of a PDF file.

See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` A serial version id.

### Fields inherited from class com.lowagie.rups.view.itext.treenodes.PdfObjectTreeNode

`key, number, object, recursive`

### Fields inherited from class com.lowagie.rups.view.icons.IconTreeNode

`icon`

### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

### Constructor Summary

Constructors
Constructor and Description
`PdfTrailerTreeNode()` Constructs a simple text tree node.

### Method Summary

Methods
`void` `setTrailer(PdfDictionary trailer)` Sets the object for this node.

### Methods inherited from class com.lowagie.rups.view.itext.treenodes.PdfObjectTreeNode

`getAncestor, getCaption, getDictionaryEntryCaption, getInstance, getInstance, getInstance, getNumber, getPdfObject, isArray, isDictionary, isDictionaryNode, isIndirect, isIndirectReference, isRecursive, isStream, setRecursive`

### Methods inherited from class com.lowagie.rups.view.icons.IconTreeNode

`getIcon`

### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

A serial version id.

See Also:
  Constant Field Values

### Constructor Detail

#### PdfTrailerTreeNode

    public PdfTrailerTreeNode()

Constructs a simple text tree node.

### Method Detail

#### setTrailer

    public void setTrailer(PdfDictionary trailer)

Sets the object for this node.

Parameters:
  `trailer` - the trailer dictionary of a PDF file.